## Function(event, treeId, treeNode)setting.callback.onCheck

### Overview[ depends on jquery.ztree.excheck js ]

Used to capture the check or uncheck event when check or uncheck the checkbox and radio.

If you set 'setting.callback.beforeCheck',and return false, zTree will not change check state, and will not trigger the 'onCheck' callback.

Default: null

### Function Parameter Descriptions

#### event js event Object

event Object

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node which is checked or unchecked

### Examples of setting & function

#### 1. When check or uncheck the checkbox and radio, alert info about 'tId' and 'name' and 'checked'.

    function myOnCheck(event, treeId, treeNode) {
        alert(treeNode.tId + ", " + treeNode.name + "," + treeNode.checked);
    };
    var setting = {
    	callback: {
    		onCheck: myOnCheck
    	}
    };
    ......